import { Column, Entity, OneToMany } from 'typeorm';
import { ProductDto } from '../dtos';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { DeviceEntity } from '../../device/entities';

@Entity({ name: 'product' })
export class ProductEntity extends AbstractEntity<ProductDto> {
  @Column({
    nullable: false,
  })
  catName: string;

  @Column({
    nullable: false,
    unique: true,
  })
  public prodId: string;

  @Column({
    nullable: false,
  })
  public prodType: string;

  @OneToMany(
    () => DeviceEntity,
    (devicesProductEntity) => devicesProductEntity.productDevice,
  )
  devicesProductEntity: DeviceEntity[];
  constructor(partial: Partial<ProductEntity>) {
    super();
    Object.assign(this, partial);
  }
}
