import { Column, Entity, ManyToOne, Unique } from 'typeorm';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { UserNotificationDto } from '../dtos';
import { UserEntity } from '../../user/entities';

@Entity({ name: 'user-notification' })
@Unique(['user', 'subscriptionUuid'])
export class UserNotificationEntity extends AbstractEntity<UserNotificationDto> {
  @ManyToOne(() => UserEntity, (user) => user.roles, {
    nullable: false,
  })
  user: UserEntity;
  @Column({
    nullable: false,
  })
  subscriptionUuid: string;

  @Column({
    nullable: false,
    default: true,
  })
  active: boolean;
  constructor(partial: Partial<UserNotificationEntity>) {
    super();
    Object.assign(this, partial);
  }
}
