import { Injectable } from '@nestjs/common';
import { PermissionTypeSeeder } from './permission.type.seeder';
import { RoleTypeSeeder } from './role.type.seeder';
import { SpaceTypeSeeder } from './space.type.seeder';
import { SuperAdminSeeder } from './supper.admin.seeder';
import { RegionSeeder } from './regions.seeder';
import { TimeZoneSeeder } from './timezone.seeder';
@Injectable()
export class SeederService {
  constructor(
    private readonly permissionTypeSeeder: PermissionTypeSeeder,
    private readonly roleTypeSeeder: RoleTypeSeeder,
    private readonly spaceTypeSeeder: SpaceTypeSeeder,
    private readonly regionSeeder: RegionSeeder,
    private readonly timeZoneSeeder: TimeZoneSeeder,
    private readonly superAdminSeeder: SuperAdminSeeder,
  ) {}

  async seed() {
    await this.permissionTypeSeeder.addPermissionTypeDataIfNotFound();
    await this.roleTypeSeeder.addRoleTypeDataIfNotFound();
    await this.spaceTypeSeeder.addSpaceTypeDataIfNotFound();
    await this.regionSeeder.addRegionDataIfNotFound();
    await this.timeZoneSeeder.addTimeZoneDataIfNotFound();
    await this.superAdminSeeder.createSuperAdminIfNotFound();
  }
}
