import { Module } from '@nestjs/common';
import { AutomationService } from './services/automation.service';
import { AutomationController } from './controllers/automation.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { DeviceService } from 'src/device/services';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { ProductRepository } from '@app/common/modules/product/repositories';

@Module({
  imports: [ConfigModule, SpaceRepositoryModule],
  controllers: [AutomationController],
  providers: [
    AutomationService,
    SpaceRepository,
    DeviceService,
    DeviceRepository,
    ProductRepository,
  ],
  exports: [AutomationService],
})
export class AutomationModule {}
