import { Module } from '@nestjs/common';
import { BuildingService } from './services/building.service';
import { BuildingController } from './controllers/building.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { SpaceTypeRepositoryModule } from '@app/common/modules/space-type/space.type.repository.module';
import { SpaceTypeRepository } from '@app/common/modules/space-type/repositories';
import { UserSpaceRepositoryModule } from '@app/common/modules/user-space/user.space.repository.module';
import { UserSpaceRepository } from '@app/common/modules/user-space/repositories';
import { UserRepository } from '@app/common/modules/user/repositories';
import { UserRepositoryModule } from '@app/common/modules/user/user.repository.module';

@Module({
  imports: [
    ConfigModule,
    SpaceRepositoryModule,
    SpaceTypeRepositoryModule,
    UserSpaceRepositoryModule,
    UserRepositoryModule,
  ],
  controllers: [BuildingController],
  providers: [
    BuildingService,
    SpaceRepository,
    SpaceTypeRepository,
    UserSpaceRepository,
    UserRepository,
  ],
  exports: [BuildingService],
})
export class BuildingModule {}
