import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UpdateBuildingNameDto {
  @ApiProperty({
    description: 'buildingName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public buildingName: string;

  constructor(dto: Partial<UpdateBuildingNameDto>) {
    Object.assign(this, dto);
  }
}
