import { Module } from '@nestjs/common';
import { CommunityService } from './services/community.service';
import { CommunityController } from './controllers/community.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { SpaceTypeRepositoryModule } from '@app/common/modules/space-type/space.type.repository.module';
import { SpaceTypeRepository } from '@app/common/modules/space-type/repositories';
import { UserSpaceRepositoryModule } from '@app/common/modules/user-space/user.space.repository.module';
import { UserSpaceRepository } from '@app/common/modules/user-space/repositories';
import { UserRepositoryModule } from '@app/common/modules/user/user.repository.module';
import { UserRepository } from '@app/common/modules/user/repositories';
import { SpacePermissionService } from '@app/common/helper/services';

@Module({
  imports: [
    ConfigModule,
    SpaceRepositoryModule,
    SpaceTypeRepositoryModule,
    UserSpaceRepositoryModule,
    UserRepositoryModule,
  ],
  controllers: [CommunityController],
  providers: [
    CommunityService,
    SpaceRepository,
    SpaceTypeRepository,
    UserSpaceRepository,
    UserRepository,
    SpacePermissionService,
  ],
  exports: [CommunityService, SpacePermissionService],
})
export class CommunityModule {}
