import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { DeviceMessagesSubscriptionController } from './controllers';
import { DeviceMessagesSubscriptionService } from './services';
import { DeviceNotificationRepositoryModule } from '@app/common/modules/device-notification/device.notification.module';
import { DeviceNotificationRepository } from '@app/common/modules/device-notification/repositories';

@Module({
  imports: [ConfigModule, DeviceNotificationRepositoryModule],
  controllers: [DeviceMessagesSubscriptionController],
  providers: [DeviceNotificationRepository, DeviceMessagesSubscriptionService],
  exports: [DeviceMessagesSubscriptionService],
})
export class DeviceMessagesSubscriptionModule {}
