import {
  BadRequestException,
  HttpException,
  HttpStatus,
  Injectable,
} from '@nestjs/common';
import { RegionRepository } from '@app/common/modules/region/repositories';

@Injectable()
export class RegionService {
  constructor(private readonly regionRepository: RegionRepository) {}
  async getAllRegions() {
    try {
      const regions = await this.regionRepository.find();

      return regions;
    } catch (err) {
      if (err instanceof BadRequestException) {
        throw err; // Re-throw BadRequestException
      } else {
        throw new HttpException('Regions found', HttpStatus.NOT_FOUND);
      }
    }
  }
}
