import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddRoomDto {
  @ApiProperty({
    description: 'roomName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public roomName: string;

  @ApiProperty({
    description: 'unitUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public unitUuid: string;
  constructor(dto: Partial<AddRoomDto>) {
    Object.assign(this, dto);
  }
}
export class AddUserRoomDto {
  @ApiProperty({
    description: 'roomUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public roomUuid: string;
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
  constructor(dto: Partial<AddUserRoomDto>) {
    Object.assign(this, dto);
  }
}
