import { Module } from '@nestjs/common';
import { SceneService } from './services/scene.service';
import { SceneController } from './controllers/scene.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { DeviceService } from 'src/device/services';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { ProductRepository } from '@app/common/modules/product/repositories';

@Module({
  imports: [ConfigModule, SpaceRepositoryModule],
  controllers: [SceneController],
  providers: [
    SceneService,
    SpaceRepository,
    DeviceService,
    DeviceRepository,
    ProductRepository,
  ],
  exports: [SceneService],
})
export class SceneModule {}
