import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class AddUnitDto {
  @ApiProperty({
    description: 'unitName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public unitName: string;

  @ApiProperty({
    description: 'floorUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public floorUuid: string;
  constructor(dto: Partial<AddUnitDto>) {
    Object.assign(this, dto);
  }
}
export class AddUserUnitDto {
  @ApiProperty({
    description: 'unitUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public unitUuid: string;
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
  constructor(dto: Partial<AddUserUnitDto>) {
    Object.assign(this, dto);
  }
}
export class AddUserUnitUsingCodeDto {
  @ApiProperty({
    description: 'userUuid',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public userUuid: string;
  @ApiProperty({
    description: 'inviteCode',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public inviteCode: string;
  constructor(dto: Partial<AddUserUnitDto>) {
    Object.assign(this, dto);
  }
}
