import { Module } from '@nestjs/common';
import { UnitService } from './services/unit.service';
import { UnitController } from './controllers/unit.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { SpaceTypeRepositoryModule } from '@app/common/modules/space-type/space.type.repository.module';
import { SpaceTypeRepository } from '@app/common/modules/space-type/repositories';
import { UserSpaceRepositoryModule } from '@app/common/modules/user-space/user.space.repository.module';
import { UserSpaceRepository } from '@app/common/modules/user-space/repositories';
import { UserRepositoryModule } from '@app/common/modules/user/user.repository.module';
import { UserRepository } from '@app/common/modules/user/repositories';
import { UserDevicePermissionService } from 'src/user-device-permission/services';
import { DeviceUserPermissionRepository } from '@app/common/modules/device-user-permission/repositories';
import { PermissionTypeRepository } from '@app/common/modules/permission/repositories';

@Module({
  imports: [
    ConfigModule,
    SpaceRepositoryModule,
    SpaceTypeRepositoryModule,
    UserSpaceRepositoryModule,
    UserRepositoryModule,
  ],
  controllers: [UnitController],
  providers: [
    UnitService,
    SpaceRepository,
    SpaceTypeRepository,
    UserSpaceRepository,
    UserRepository,
    UserDevicePermissionService,
    DeviceUserPermissionRepository,
    PermissionTypeRepository,
  ],
  exports: [UnitService],
})
export class UnitModule {}
