import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { UserNotificationRepositoryModule } from '@app/common/modules/user-notification/user.notification.repository.module';
import { UserNotificationRepository } from '@app/common/modules/user-notification/repositories';
import { UserNotificationService } from 'src/user-notification/services';
import { UserNotificationController } from 'src/user-notification/controllers';

@Module({
  imports: [ConfigModule, UserNotificationRepositoryModule],
  controllers: [UserNotificationController],
  providers: [UserNotificationRepository, UserNotificationService],
  exports: [UserNotificationService],
})
export class UserNotificationModule {}
