import { Module } from '@nestjs/common';
import { UserService } from './services/user.service';
import { UserController } from './controllers/user.controller';
import { ConfigModule } from '@nestjs/config';
import { UserRepository } from '@app/common/modules/user/repositories';
import { RegionRepository } from '@app/common/modules/region/repositories';
import { TimeZoneRepository } from '@app/common/modules/timezone/repositories';

@Module({
  imports: [ConfigModule],
  controllers: [UserController],
  providers: [
    UserService,
    UserRepository,
    RegionRepository,
    TimeZoneRepository,
  ],
  exports: [UserService],
})
export class UserModule {}
